%global srcname atpublic
%global pkgname atpublic
%global summary Decorator for populating a Python module's __all__
%global _description \
This is a very simple decorator and function which populates a  \
module's __all__ and optionally the module globals.  \
This provides both a pure-Python implementation and a C implementation.  \
It is proposed that the C implementation be added to built-ins for  \
Python 3.6.


Name:           python-%{pkgname}
Version:        0.5
Release:        2%{?dist}
Summary:        %{summary}

License:        ASL 2.0
URL:            http://public.readthedocs.io
Source0:        https://files.pythonhosted.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python-srpm-macros
BuildRequires:  python%{python3_pkgversion}-devel >= 3.4
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-nose2
BuildRequires:  python%{python3_pkgversion}-flufl-testing
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel >= 3.4
BuildRequires:  python%{python3_other_pkgversion}-setuptools
BuildRequires:  python%{python3_other_pkgversion}-nose2
BuildRequires:  python%{python3_other_pkgversion}-flufl-testing
%endif

%description %{_description}


%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}
Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}


%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pkgname}}
Requires:       python%{python3_other_pkgversion}-setuptools

%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%autosetup -n %{srcname}-%{version}


%build
export ATPUBLIC_BUILD_EXTENSION=1
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif


%install
export ATPUBLIC_BUILD_EXTENSION=1
%py3_install
%if 0%{?with_python3_other}
%py3_other_install
%endif


%check
%{__python3} -m nose2 -v
%if 0%{?with_python3_other}
%{__python3_other} -m nose2 -v
%endif


%files -n python%{python3_pkgversion}-%{pkgname}
%license LICENSE.txt
%doc README.rst NEWS.rst
%{python3_sitearch}/public/
%{python3_sitearch}/%{srcname}-%{version}*-py%{python3_version}.egg-info/
%{python3_sitearch}/_public.*.so

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%license LICENSE.txt
%doc README.rst NEWS.rst
%{python3_other_sitearch}/public/
%{python3_other_sitearch}/%{srcname}-%{version}*-py%{python3_other_version}.egg-info/
%{python3_other_sitearch}/_public.*.so
%endif


%changelog
* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 0.5-2
- Rebuilt to change main python from 3.4 to 3.6

* Mon Dec 05 2016 Aurelien Bompard <abompard@fedoraproject.org> - 0.4-1
- Initial package.
